# Git packaging based on python-openidc-client RPM spec
%global commit 7eee3ab75fdc582750d71b16b3f44de2d571c539
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global DATE 20180426

Name:           wclang
Version:        0.6
Release:        1.%{DATE}%{?dist}
Summary:        MinGW wrapper for clang
License:        GPL-2.0
URL:            https://github.com/tpoechtrager/wclang
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:  clang
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  ninja-build
Requires:       clang
Requires:       mingw32-gcc
Requires:       mingw64-gcc

%description
Wclang is a tool which helps you to cross compile source code easily with clang
on Linux/Unix for Windows.

%prep
%autosetup -n %{name}-%{commit}

%build
%cmake -G 'Ninja'
%ninja_build

%install
%ninja_install

%files
%{_bindir}/*

%changelog
